Bug 206332 - Various packaging issues
Various packaging issues
Product: Fedora
Classification: Fedora
Component: openmpi (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Doug Ledford
Depends On:
  Show dependency treegraph
Reported: 2006-09-13 14:38 EDT by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-11 16:59:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch (2.69 KB, patch)
2006-09-13 14:38 EDT, Orion Poplawski
no flags Details | Diff
Updated patch (4.82 KB, patch)
2006-09-13 18:33 EDT, Orion Poplawski
no flags Details | Diff

  None (edit)
Description Orion Poplawski 2006-09-13 14:38:42 EDT
Couple issues:

- The .module file is out of date, and the install layout is not very conducive
for parallel installs of openmpi versions compiled with different compilers
(quite common in HPC installs).

The opal_wrapper compiler wrapper requires it to be executed with names like
"mpicc" and "mpif77".  While the alternatives system handles this for a system
wide default, it would be advantageous for the module file to be available for
users to select which openmpi install to select from.  I propose making links
for the wrapper scripts in /usr/share/openmpi/bin for this purpose.

This then allows me to easily build openmpi-<compiler> rpms that install along
side the default openmpi package in /usr/share/openmpi-<compiler>/bin.

- The auto tools are no longer required for build

- 1.1.1 is out

The attached patch makes the above changes.
Comment 1 Orion Poplawski 2006-09-13 14:38:43 EDT
Created attachment 136189 [details]
Comment 2 Orion Poplawski 2006-09-13 18:33:13 EDT
Created attachment 136219 [details]
Updated patch

Have patch in -u format, move wrapper links to -devel package
Comment 3 Doug Ledford 2006-10-11 23:53:07 EDT
I implemented a few of the things you suggested, but not all.  Amongst other
things, it's too late to update to 1.1.1.  That will have to wait until after
fc6.  The new version should show up in rawhide soon.
Comment 4 Orion Poplawski 2006-11-02 16:29:58 EST
Okay, here's a new patch that does a lot.  Take or leave what you will, but
here's what it does (and why):

- Updates to 1.1.2

- Changes %{name} to openmpi in locations that don't change if you were to build
an alternately named openmpi package (called, say, openmpi-ifort).

- Reworks your /usr/share/openmpi/bin{32,64} structure to
/usr/share/openmpi-{32,64}/{bin,lib,lib64} structure.  The advantage being that
it allows you to have multiple openmpi installs in parallel and use the
--prefix=/usr/share/openmpi-{32,64} argument to orterun to pick between them.
It also puts more links in /usr/share/openmpi*/bin to support this.

Note You need to log in before you can comment on or make changes to this bug.